# Class HistogramPlotter.HistoStyle

java.lang.Object
uk.ac.starlink.ttools.plot2.layer.HistogramPlotter.HistoStyle

All Implemented Interfaces:
  `Style`

Enclosing class:
  `HistogramPlotter`

public static class HistogramPlotter.HistoStyle extends Object implements Style
Style subclass for histogram plots.

Since:
  8 Jan 2014
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`HistoStyle(Color color, BarStyle.Form barForm, BarStyle.Placement placement, Cumulation cumulative, Normalisation norm, Unit unit, int thick, float[] dash, BinSizer sizer, double phase, Combiner combiner, boolean isY)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`BinSizer`
`getBinSizer()`
Returns the bin sizer.
`Combiner`
`getCombiner()`
Returns the combination mode used for aggregating values into bins.
`Cumulation`
`getCumulative()`
Returns cumulative plot mode.
`Icon`
`getLegendIcon()`
Returns an icon suitable for displaying in a legend for this style.
`Normalisation`
`getNormalisation()`
Returns normalisation mode.
`Unit`
`getUnit()`
Returns the axis unit for density scaling.
`int`
`hashCode()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HistoStyle

public HistoStyle(Color color, BarStyle.Form barForm, BarStyle.Placement placement, Cumulation cumulative, Normalisation norm, Unit unit, int thick, float[] dash, BinSizer sizer, double phase, Combiner combiner, boolean isY)
Constructor.

Parameters:
  `color` - bar colour
  `barForm` - bar form
  `placement` - bar placement
  `cumulative` - whether to plot cumulative bars
  `norm` - normalisation mode for the vertical scale
  `unit` - bin scaling unit
  `thick` - line thickness (only relevant for some forms)
  `dash` - line dash pattern (only relevant for some forms)
  `sizer` - determines bin widths
  `phase` - bin reference point, 0..1
  `combiner` - bin aggregation mode
  `isY` - true for sideways histogram

## Method Details

### getBinSizer

public BinSizer getBinSizer()
Returns the bin sizer.

Returns:
  bin sizer

### getCumulative

public Cumulation getCumulative()
Returns cumulative plot mode.

Returns:
  cumulative mode

### getNormalisation

public Normalisation getNormalisation()
Returns normalisation mode.

Returns:
  normalisation mode for count axis

### getUnit

public Unit getUnit()
Returns the axis unit for density scaling.

Returns:
  x axis unit

### getCombiner

public Combiner getCombiner()
Returns the combination mode used for aggregating values into bins.

Returns:
  combiner

### getLegendIcon

public Icon getLegendIcon()
Description copied from interface: `Style`
Returns an icon suitable for displaying in a legend for this style.

Specified by:
  `getLegendIcon` in interface `Style`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`